package egovframework.rte.cvpl.service;

import java.io.Serializable;

/**
 * @Class Name : CvplCmmnCdVO.java
 * @Description : CvplCmmnCd VO class
 * @Modification Information @ @ 수정일 수정자 수정내용 @ ------- --------
 *               --------------------------- @ 2009.03.04 천종덕 최초 생성
 * 
 * @author 실행환경 개발팀 천종덕
 * @since 2009.02.01
 * @version 1.0
 * @see Copyright (C) 2009 by MOPAS All right reserved.
 */
public class CvplCmmnCdVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 메인코드 */
    private String mainCode = "";

    /** 서브코드 */
    private String subCode = "";

    /** 코드값 */
    private String codeValue = "";

    /** 비고 */
    private String description = "";

    /** 셀렉션용 코드 */
    private String code = "";

    /** 셀렉션용 라벨 */
    private String label = "";

    public String getMainCode() {
        return mainCode;
    }

    public void setMainCode(String mainCode) {
        this.mainCode = mainCode;
    }

    public String getSubCode() {
        return subCode;
    }

    public void setSubCode(String subCode) {
        this.subCode = subCode;
        this.code = subCode;
    }

    public String getCodeValue() {
        return codeValue;
    }

    public void setCodeValue(String codeValue) {
        this.codeValue = codeValue;
        this.label = codeValue;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

}
